Exciting news!Announcing our $4.6M Series Seed. Learn more
Socket
LoveBlogFAQ
Install
Log in

babel-preset-diff

Package Overview
Dependencies
8
Maintainers
1
Versions
24
Issues
File Explorer

Advanced tools

babel-preset-diff

Compile all unsupported features for current environments

    6.2.1latest

Version published
Maintainers
1
Yearly downloads
5,820
increased by91.76%

Weekly downloads

Readme

Source

babel-preset-diff

Compile all unsupported features for current environments

babel-preset-diff aims to offer the most commonly used Babel presets and plugins so that developers do not have to duplicate and maintain a complex Babel configuration project to project. It also aims to support only the latest Node and browser versions by default.

Usage

Install babel-preset-diff by running

yarn add --dev babel-preset-diff

Add it to your Babel configuration (.babelrc or package.json)

{ "presets": [ "diff" ] }

Any configuration options passed into this preset will be passed on to the underlying presets and plugins:

{ "presets": [ ["diff", { "modules": false }] ] }

Note that by default, babel-preset-diff will compile for the currently running version of Node.js.

Refer to the documentation for babel-preset-env for details on how to target specific browsers.

Socket

Product

Subscribe to our newsletter

Get open source security insights delivered straight into your inbox. Be the first to learn about new features and product updates.


  • Terms
  • Privacy
  • Security

Made with ⚡️ by Socket Inc